package Platform;

print "loading BS_unix\n" if( $main::dl );

require Exporter;

@ISA = qw( Exporter );

@EXPORT = qw( bsconnect bsalarm );



sub bsalarm {
    my( $time ) = @_;

    return alarm( $time );
}


sub bsconnect {
    my( $socket, $addr ) = @_;
    
    return connect( $socket, $addr );
}


sub bswait {
    wait;
}


sub bswait_nohang {
    require POSIX;
    return( waitpid( -1, &POSIX::WNOHANG ) );
}


sub strftime {
    require POSIX;
    return( POSIX::strftime( $_[0], gmtime($_[1]) ) );
}


sub hostname {
    my $hostname;
    eval {
	require Sys::Hostname;
	$hostname = Sys::Hostname::hostname();
    };
    $hostname || ($hostname = $ENV{"HOST"});
    $hostname || chomp( $hostname = `/bin/hostname` );
    $hostname =~ s/\..*//;
    $hostname =~ tr/A-Z/a-z/;
    return( $hostname );
}


sub override_root {
    return undef;
}

1;
