package Monitor::Monitor;

require 5.001;

use strict;

@Monitor::Monitor::ISA = qw(Monitor::Schedule);

sub new
{
   print STDERR "new Monitor::Monitor object????\n";
}


sub add_check {
}





sub check
{
}


sub late_check
{
}


sub log
{
}


sub run
{
    my( $self, $mode, @args ) = @_;

    $self->{"monitor_mode"} = $mode;
    if( defined $self->{"monitor_reports_$mode"} ) {
	my $id;

	foreach $id (@{$self->{"monitor_reports_$mode"}}) {
	    uxmon::unreport( $id->[0], $id );
	}
	foreach $id (@{$self->{"monitor_variables_$mode"}}) {
	    uxmon::unset_variable( $id->[0], $id->[1] );
	}
    }
    $self->{"monitor_reports_$mode"} = $self->{"monitor_variables_$mode"} = [];
    if( $mode eq "check" ) {
	$self->check(@args);
    }
    else {
	$self->late_check( @args );
    }
}


sub report {
    my( $self, $item, $value, $comment ) = @_;
    my $id;

    push( @{$self->{"monitor_reports_".$self->{"monitor_mode"}}},
	  $id = [ $item, $value ] );
    uxmon::report( $item, $value, $comment, $id );
}



sub set_variable {
    my( $self, $host, $variable, $value ) = @_;

    push( @{$self->{"monitor_variables_".$self->{"monitor_mode"}}},
	  [ $host, $variable ] );
    uxmon::set_variable( $host, $variable, $value );
}

      

1;
